Problème migration de la v3 --> v4

Problèmes rencontrés lors de l'installation d'EyesOfNetwork
ingenieur2801
Messages : 96
Inscription : 22 mai 2012, 13:46

Problème migration de la v3 --> v4

Message par ingenieur2801 » 03 février 2014, 09:54

Bonjour,
je compte migrer de la version 3 de eyesofnetwork au version 4 , j'ai fait ou les étapes du
10. INTRODUCTION POUR LA MISE A JOUR d'EON mais quand je restart le job par défaut dans l'interface web,
voila l'erreur que j'ai ""Unable to copy configuration files to : /srv/eyesofnetwork/nagios/etc""
merci bcp pour votre aide

christophe81
Messages : 22
Inscription : 27 mars 2012, 09:54

Re: Problème migration de la v3 --> v4

Message par christophe81 » 03 février 2014, 10:24

Bizarre il y a deux mois j'ai fait la mise à jour de v3 vers v4 en suivant à la lettre la procédure et je n'ai eu aucun problème.

Une question quand tu as fait la mise à jour de nagios, tu as copier tout ce qu'il y avait dans le répertoire nagios ou juste plugins ?
A vérifier aussi que l'utilisateur nagios soit bien propriétaire, que le groupe soit eyesofnetwork et que les droits soient en 775.

Avatar de l’utilisateur
Guiona
Messages : 762
Inscription : 18 janvier 2012, 16:36
Localisation : Toulouse
Contact :

Re: Problème migration de la v3 --> v4

Message par Guiona » 03 février 2014, 10:43

Vérifie les droits sur /srv/eyesofnetwork/nagios/etc

Sinon un bon

Code : Tout sélectionner

# chown -R nagios.eyesofnetwork /srv/eyesofnetwork/nagios/etc
# chmod -R 775 /srv/eyesofnetwork/nagios/etc
La connaissance appartient à ceux qui la partagent.

ingenieur2801
Messages : 96
Inscription : 22 mai 2012, 13:46

Re: Problème migration de la v3 --> v4

Message par ingenieur2801 » 03 février 2014, 11:48

Merciii bcp pour votre aide effectivement problème des droits problème resolu

ftourret
Messages : 12
Inscription : 27 juillet 2012, 15:05

Re: Problème migration de la v3 --> v4

Message par ftourret » 12 février 2014, 10:15

Bonjour à tous,

Je suis donc en pleine migration V3.1->V4 et tout va bien jusque là j'ai résolu tous les problèmes avec les différents posts mais j'ai un bug sur Weathermap.
J'ai bien copié les images et les cartes. Elles fonctionnent mais je ne peux pas les éditer...
A chaque fois que je clic sur le lien pour l'édition d'un carte, je tombe sur l'écran welcome de l'éditer weathermap comme pour créer une nouvelle carte ! Je ne peux même pas créer une...

Je sèche, merci d'avance pour le coup de main.

Il ne me reste que OCS et GLPI à migrer ensuite.

Avatar de l’utilisateur
Seb
Messages : 3530
Inscription : 11 février 2009, 17:35
Localisation : Limoges
Contact :

Re: Problème migration de la v3 --> v4

Message par Seb » 13 février 2014, 10:06

Pas de soucis de droits non plus sur la carte???
"Mieux vaut cent chevaux sous une selle que d'un âne assis dessus"
Joe dans son bar servant un de ses clients...JBT

ftourret
Messages : 12
Inscription : 27 juillet 2012, 15:05

Re: Problème migration de la v3 --> v4

Message par ftourret » 19 février 2014, 11:22

Désolé pour le retard j'étais occupé ailleurs...

Non j'ai mis les cartes en lecture écriture pour tous.
Si je clique sur le lien de la carte pour l'éditer, j'ai ceci :
URL : http://srveon/cacti/plugins/weathermap/ ... 20Romagnat

Welcome
Welcome to the PHP Weathermap 0.97c editor.
NOTE: This editor is not finished! There are many features of Weathermap that you will be missing out on if you choose to use the editor only.These include: curves, node offsets, font definitions, colour changing, per-node/per-link settings and image uploading. You CAN use the editor without damaging these features if you added them by hand, however.
Do you want to:

Create A New Map:

Named:
OR
Create A New Map as a copy of an existing map:
Named: based on
OR
Open An Existing Map (looking in configs):
simple.conf - test
PHP Weathermap 0.97c Copyright © 2005-2013 Howard Jones - howie@thingy.com
The current version should always be available here, along with other related software. PHP Weathermap is licensed under the GNU Public License, version 2. See COPYING for details. This distribution also includes the Overlib library by Erik Bosrup.

ftourret
Messages : 12
Inscription : 27 juillet 2012, 15:05

Re: Problème migration de la v3 --> v4

Message par ftourret » 20 février 2014, 16:08

OK j'ai trouvé !!!!

depuis la version 0.97c, l'éditeur ne peut ouvrir que des fichier .conf pour les maps et ce n'était pas mon cas (pas d'extension).
C'est ballot ! tout ce temps pour ça...

Sinon dans la migration pour les copies de fichier, j'ai été obligé de faire des sudo cp... sinon les fichiers n'étaient pas copiés.
J'avais eu le soucis de la V2->V3 aussi, mais j'avais oublié, il faut éditer le fichier ocsinventory-server.conf et mettre root/root66 pour les login mot de passe (à intégrer lors de la prochaine release ou dans la doc SVP - enfin maintenant c'est noté dans la mienne).

Merci pour tout.

meldrone
Messages : 21
Inscription : 22 novembre 2011, 09:37

Re: Problème migration de la v3 --> v4

Message par meldrone » 05 mai 2014, 16:43

bonjour,

je suis à la recherche de la procédure de migration de la v3.1 vers la v4.
je n'arrive pas à mettre la main dessus.
le mot "migration" étant refusé dans la recherche forum et je ne trouve rien dans la partie documentation du site officiel.
la procédure d'installation proposé sur le site parle de "EON - Configuration et administration d'un logiciel de supervision réseau" mais je ne trouve pas non plus ce document.

pouvez vous m'aider?

Avatar de l’utilisateur
Seb
Messages : 3530
Inscription : 11 février 2009, 17:35
Localisation : Limoges
Contact :

Re: Problème migration de la v3 --> v4

Message par Seb » 05 mai 2014, 19:31

Il n'y a pas de procédure écrite, c'est à votre main. Nous sommes disposé à vous aiguiller mais si cela touche un aspect critique, pensez aussi au support ;)
"Mieux vaut cent chevaux sous une selle que d'un âne assis dessus"
Joe dans son bar servant un de ses clients...JBT

Répondre